import 'package:syncrow_web/pages/access_management/manage_bookable_spaces/domain/models/bookable_space_model.dart';
import 'package:syncrow_web/pages/access_management/manage_bookable_spaces/domain/params/non_bookable_spaces_params.dart';
import 'package:syncrow_web/pages/access_management/manage_bookable_spaces/domain/service/send_bookable_spaces_to_api_params.dart';
import 'package:syncrow_web/pages/space_management_v2/main_module/shared/models/paginated_data_model.dart';

abstract class NonBookableSpacesService {
  Future<PaginatedDataModel<BookableSpacemodel>> load(
      NonBookableSpacesParams params);
  Future<void> sendBookableSpacesToApi(SendBookableSpacesToApiParams params);
}
