part of 'bookable_spaces_bloc.dart';

sealed class BookableSpacesState extends Equatable {
  const BookableSpacesState();

  @override
  List<Object> get props => [];
}

final class BookableSpacesInitial extends BookableSpacesState {}

final class BookableSpacesLoading extends BookableSpacesState {}

final class BookableSpacesLoaded extends BookableSpacesState {
  final PaginatedDataModel<BookableSpacemodel> bookableSpacesList;
  const BookableSpacesLoaded({
    required this.bookableSpacesList,
  });
}

final class BookableSpacesError extends BookableSpacesState {
  final String error;
  const BookableSpacesError({
    required this.error,
  });
}
