part of 'non_bookaable_spaces_bloc.dart';

sealed class NonBookableSpacesEvent extends Equatable {
  const NonBookableSpacesEvent();

  @override
  List<Object> get props => [];
}

class LoadUnBookableSpacesEvent extends NonBookableSpacesEvent {
  final NonBookableSpacesParams nonBookableSpacesParams;
  const LoadUnBookableSpacesEvent({
    required this.nonBookableSpacesParams,
  });
}

class AddToBookableSpaceEvent extends NonBookableSpacesEvent {
  final BookableSpacemodel nonBookableSpace;
  const AddToBookableSpaceEvent({
    required this.nonBookableSpace,
  });
}

class RemoveFromBookableSpaceEvent extends NonBookableSpacesEvent {
  final BookableSpacemodel bookableSpace;
  const RemoveFromBookableSpaceEvent({
    required this.bookableSpace,
  });
}

class SendBookableSpacesToApi extends NonBookableSpacesEvent {}
